Package org.apache.tomcat.util.xreflection

## Class ObjectReflectionPropertyInspector

- java.lang.Object
- - org.apache.tomcat.util.xreflection.ObjectReflectionPropertyInspector

-     public final class ObjectReflectionPropertyInspector
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectReflectionPropertyInspector()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `generateCode​(java.util.Set<org.apache.tomcat.util.xreflection.SetPropertyClass> baseClasses, java.lang.String packageName, java.io.File location, java.lang.String className)` |
    `static void` | `main​(java.lang.String... args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectReflectionPropertyInspector

          public ObjectReflectionPropertyInspector()

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String... args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### generateCode

          public static void generateCode​(java.util.Set<org.apache.tomcat.util.xreflection.SetPropertyClass> baseClasses,
                                          java.lang.String packageName,
                                          java.io.File location,
                                          java.lang.String className)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`